summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
Diffstat (limited to 'app-emulation/crossover-bin')
-rw-r--r--app-emulation/crossover-bin/Manifest10
-rw-r--r--app-emulation/crossover-bin/crossover-bin-12.5.0-r2.ebuild128
-rw-r--r--app-emulation/crossover-bin/crossover-bin-12.5.1-r2.ebuild128
-rw-r--r--app-emulation/crossover-bin/crossover-bin-13.0.0-r2.ebuild128
-rw-r--r--app-emulation/crossover-bin/crossover-bin-13.0.1-r2.ebuild128
-rw-r--r--app-emulation/crossover-bin/crossover-bin-13.1.0-r2.ebuild128
-rw-r--r--app-emulation/crossover-bin/crossover-bin-13.1.2-r2.ebuild128
-rw-r--r--app-emulation/crossover-bin/crossover-bin-13.1.3-r2.ebuild128
-rw-r--r--app-emulation/crossover-bin/crossover-bin-13.2.0-r2.ebuild128
-rw-r--r--app-emulation/crossover-bin/crossover-bin-14.0.3-r1.ebuild132
-rw-r--r--app-emulation/crossover-bin/crossover-bin-14.1.4-r1.ebuild132
-rw-r--r--app-emulation/crossover-bin/metadata.xml11
12 files changed, 1309 insertions, 0 deletions
diff --git a/app-emulation/crossover-bin/Manifest b/app-emulation/crossover-bin/Manifest
new file mode 100644
index 000000000000..7e9b29dbdd93
--- /dev/null
+++ b/app-emulation/crossover-bin/Manifest
@@ -0,0 +1,10 @@
+DIST install-crossover-12.5.0.bin 55089470 SHA256 596ae288059005f26326196b81f705f3fc3ecd2bc872a23f9a86e75dfd8908da SHA512 85dbf37b76dd63ba761f6f8efc8c294f38bdb2a443fbed7a7f7f37652b377046f7bd27588600fc456e7fa8040d06a1673475bfc6a7b7a110a16a678efcc5c764 WHIRLPOOL 1d99ebad15e76bac0fb3174fdae2e09eb6b407e27b60c2562d2dc692f02d53f72c06398f68d7f0453b60adcd6789f62f2437e44eeb46f8c33ed92ba78c74e5f8
+DIST install-crossover-12.5.1.bin 56658131 SHA256 7ef5bbb092467fefa1e59cb5b0e1c8794a2511cebfc0c4665e8a7fe721140a4f SHA512 0f71a06f3a028698c4b076b205d807e193282c10c7cfb8e62e4697e9b3bd7549947c02c15f82d959d6963630677e6c72a5f8468d35d66ccb3ff6814ed2173c72 WHIRLPOOL 3386a231faa9af53b0dba7c2064bea436518afcc44c5b76c07ce1b5b61fe4a74a5bb8b16f92da97be79548851a3f08b1ed5739d6071a60f45f0382eed7ffe85e
+DIST install-crossover-13.0.0.bin 58807581 SHA256 e41cd80d38281d1c42a9a8ecb16249977887a13145d5fa3da883ce5f6f24c5c7 SHA512 fcf5dde6da1f2fb1eb402bd588baab5e951f8a0ad7959b06a4b7a42f250beb74f9c8d95f26f6fcd4ced9ce0bc4b484ad9a045a485f82028bf8ab7f2abf7ace33 WHIRLPOOL 57cd742cba31e57fb97f1a53e6c6c4e481f1a11b9e061f933995198053c80bd3828b0c6ee39ab152768cf603c1ab4c7125bc076ecfade651d063c1d97407464a
+DIST install-crossover-13.0.1.bin 58567182 SHA256 1e9ca276b7e99096476d1dd0fb37803d8dafcc6c9fa4e96c32e8cbf34c747eae SHA512 e43e3e92d4ac36546fafdf68d61b4fd5af412f83e301b232230589247ed052cb958f0d4eb7667fd616797b8f8c3b4f7acbfa7a9f1206204c5a98e456113a380b WHIRLPOOL 4c76e80a39f834979b9e0e885f10fd740805a23f93f5745dbdb53ecefb748d57b75e57460a9bbfab656329c77a2c61c356e75054438c0f7cce77dc9a77648f33
+DIST install-crossover-13.1.0.bin 58678679 SHA256 76e4345c6b9c436b7f02ab39b15b5f3d105838c3bf5194b34484dafe748cca48 SHA512 1f2b5625c826bbf16231e1b3ea8694bcda24cf3a7a90347a29b9d97f654ce35df26aff2b8166e8c517e85785d4ea2b5fbdf1bcb82263fa0e8715846fd1668d15 WHIRLPOOL c665ce05fae8aeacb637bf8ab4d3b5fb8d681f2e3d65f1d13c8ceab91708290f32e1742a81ea0dc5d90064c67016e30f2a5497cbfc7d4be8ec55d498de9dad7d
+DIST install-crossover-13.1.2.bin 58730543 SHA256 005a0ed9e102c54c3b204491406bfad889603c59ef5be1ec1b5a3f68a1f6bba2 SHA512 5944db06162a67f68fa4a1ab14f7fbc41f114c63adebecf4c0c50967245f81bb42e58dbe66d33fbfaaeae232aacb2b534fc4367d592eaa6f1cc75e32ec0d23b3 WHIRLPOOL e26a0f3a59d3d06b6001f2672d511d0917afa576b4cf9f781a3c7eaffb2e7fb479cdcaeae98fa0d38873bf749bbe33b6695f1dd3496f4087691332b569e484ef
+DIST install-crossover-13.1.3.bin 58768110 SHA256 3d16dbecec584a1d6155ddda6f62a5824980cddc25f5910c2c733de06a716b04 SHA512 091a70e777f8311f818d227f26850f256d6acc7f50c93855f72857f2e21298524262d490fcc8a97342faea1a261ab042b0064d112aacb6c30e9ab5301f89eabe WHIRLPOOL aaffeb604d929b3b4611707cb7878a961c8a2f17baafc4f58dc293d3b29e5485246847327dcf441353ff3feeed76fd7c2f34a516ebeafb2fedee3567d8cdb485
+DIST install-crossover-13.2.0.bin 64625581 SHA256 ef29ca8ca275e4fb6b33337aadc2d3ee92b4dc7d582fab7d5cff5c775d23c75d SHA512 1f582eeca8db02c15d98d519b2d24f65b8dcddd90ff270915a4e6dbd24e135b074c5a20dd824c3d8c8f35cef79610c02423b5558db205a6e80630f69191e051b WHIRLPOOL f8ce0628d961a567291981a238f03da6f5f7554d4d971a8b27fc34b67969a7061032b84325df1a8e38313415dcda3dab98acd6833b396e4f46a65427c9dc8c3e
+DIST install-crossover-14.0.3.bin 68080015 SHA256 23f67221e4047b50f3250b29fae51086cce93529956d3885d149d5abddcc83a2 SHA512 86855e112f5b5d7621e0d4c644abe570de0270e678dc9666482025c948733de02c66fcf67999079a8ba99537695b36d4fb61aee90a59c319edad5fb477a0f902 WHIRLPOOL a0f26d06d2bb81063bcf78a474b9bf4732e9314fd886f430c1141bfce26ae09c297ff79087e5834474d87aa772a1f08a44791d24a3a83ff2baf24969885fe9b8
+DIST install-crossover-14.1.4.bin 68463678 SHA256 9e51823fca911916755b1edca8673c69df4c6f3607b170d9b01e9d9143b4d4c7 SHA512 2078d9e8fc10c526085aef0bfa0cedbcc1a96ec59ade934ea10e7f10062f1a58f5647e9aed59653d4a1253699a08e9ef6f01548010e960af24d0d3546549fb91 WHIRLPOOL a9714f15de43acb2ab6fed91bb35ffdec832dc8fef0b9f75ed394ca18af8552b797b795fdc5bc108c7cf27ca432f932b1f4fe6b4d04d4d52dfaa06bfef083aca
diff --git a/app-emulation/crossover-bin/crossover-bin-12.5.0-r2.ebuild b/app-emulation/crossover-bin/crossover-bin-12.5.0-r2.ebuild
new file mode 100644
index 000000000000..e98a2dcf65ff
--- /dev/null
+++ b/app-emulation/crossover-bin/crossover-bin-12.5.0-r2.ebuild
@@ -0,0 +1,128 @@
+# Copyright 1999-2015 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=5
+PYTHON_COMPAT=( python2_7 )
+PYTHON_REQ_USE="threads"
+
+inherit python-single-r1 unpacker
+
+DESCRIPTION="Commercial version of app-emulation/wine with paid support"
+HOMEPAGE="http://www.codeweavers.com/products/crossover/"
+SRC_URI="install-crossover-${PV}.bin"
+
+LICENSE="CROSSOVER-2"
+SLOT="0"
+KEYWORDS="-* ~amd64 ~x86"
+IUSE="+capi +cups doc +gphoto2 +gsm +jpeg +lcms +ldap +mp3 +nls +openal +opengl +png +scanner +ssl +v4l"
+RESTRICT="bindist fetch test"
+QA_FLAGS_IGNORED="opt/cxoffice/.*"
+QA_PRESTRIPPED="opt/cxoffice/lib/.*
+ opt/cxoffice/bin/cxburner
+ opt/cxoffice/bin/cxntlm_auth
+ opt/cxoffice/bin/wineserver
+ opt/cxoffice/bin/unrar
+ opt/cxoffice/bin/wine-preloader
+ opt/cxoffice/bin/cxdiag
+ opt/cxoffice/bin/cxgettext
+ opt/cxoffice/bin/wineloader
+ "
+S="${WORKDIR}"
+
+DEPEND="dev-lang/perl
+ app-arch/unzip
+ ${PYTHON_DEPS}"
+
+RDEPEND="${DEPEND}
+ !prefix? ( sys-libs/glibc )
+ >=dev-python/pygtk-2.10[${PYTHON_USEDEP}]
+ dev-python/dbus-python[${PYTHON_USEDEP}]
+ dev-util/desktop-file-utils
+ !app-emulation/crossover-office-pro-bin
+ !app-emulation/crossover-office-bin
+ capi? ( net-dialup/capi4k-utils )
+ cups? ( net-print/cups[abi_x86_32(-)] )
+ gsm? ( media-sound/gsm[abi_x86_32(-)] )
+ jpeg? ( virtual/jpeg[abi_x86_32(-)] )
+ lcms? ( media-libs/lcms:2 )
+ ldap? ( net-nds/openldap[abi_x86_32(-)] )
+ gphoto2? ( media-libs/libgphoto2[abi_x86_32(-)] )
+ mp3? ( >=media-sound/mpg123-1.5.0[abi_x86_32(-)] )
+ nls? ( sys-devel/gettext[abi_x86_32(-)] )
+ openal? ( media-libs/openal[abi_x86_32(-)] )
+ opengl? (
+ virtual/glu[abi_x86_32(-)]
+ virtual/opengl[abi_x86_32(-)]
+ )
+ png? ( media-libs/libpng:0[abi_x86_32(-)] )
+ scanner? ( media-gfx/sane-backends[abi_x86_32(-)] )
+ ssl? ( dev-libs/openssl:0[abi_x86_32(-)] )
+ v4l? ( media-libs/libv4l[abi_x86_32(-)] )
+ media-libs/alsa-lib[abi_x86_32(-)]
+ >=media-libs/freetype-2.0.0[abi_x86_32(-)]
+ media-libs/mesa[abi_x86_32(-)]
+ sys-apps/util-linux[abi_x86_32(-)]
+ sys-libs/zlib[abi_x86_32(-)]
+ x11-libs/libICE[abi_x86_32(-)]
+ x11-libs/libSM[abi_x86_32(-)]
+ x11-libs/libX11[abi_x86_32(-)]
+ x11-libs/libXau[abi_x86_32(-)]
+ x11-libs/libXdmcp[abi_x86_32(-)]
+ x11-libs/libXext[abi_x86_32(-)]
+ x11-libs/libXi[abi_x86_32(-)]
+ x11-libs/libXrandr[abi_x86_32(-)]
+ x11-libs/libXxf86vm[abi_x86_32(-)]
+ x11-libs/libxcb[abi_x86_32(-)]"
+
+pkg_nofetch() {
+ einfo "Please visit ${HOMEPAGE}"
+ einfo "and place ${A} in ${DISTDIR}"
+}
+
+src_unpack() {
+ # self unpacking zip archive; unzip warns about the exe stuff
+ unpack_zip ${A}
+}
+
+src_prepare() {
+ python_fix_shebang .
+ sed -e 's:/usr/local/etc/xdg /etc/xdg::' -i "${WORKDIR}/bin/locate_gui.sh" \
+ || die "Could not patch ${WORKDIR}/bin/locate_gui.sh"
+
+ # Remove unnecessary files
+ rm -r license.txt guis/ || die "Could not remove files"
+ use doc || rm -r doc/ || die "Could not remove files"
+}
+
+src_install() {
+ # Install crossover symlink, bug #476314
+ dosym /opt/cxoffice/bin/crossover /opt/bin/crossover
+
+ # Install documentation
+ dodoc README changelog.txt
+ rm README changelog.txt || die "Could not remove README and changelog.txt"
+
+ # Install files
+ dodir /opt/cxoffice
+ cp -r ./* "${ED}opt/cxoffice" \
+ || die "Could not install into ${ED}opt/cxoffice"
+
+ # Install configuration file
+ insinto /opt/cxoffice/etc
+ doins share/crossover/data/cxoffice.conf
+
+ # Install requisite directories for menus
+ dodir "/usr/share/applications"
+ dodir "/etc/xdg/menus/applications-merged"
+
+ # Install menus
+ XDG_CONFIG_DIRS="${ED}etc/xdg" \
+ XDG_DATA_DIRS="${ED}usr/share" \
+ "${ED}opt/cxoffice/bin/cxmenu" --crossover --install \
+ || die "Could not install menus"
+
+ # Fix menus
+ sed -e "s:${ED}:/:" -i "${ED}usr/share/applications/"* \
+ || die "Could not fix menus"
+}
diff --git a/app-emulation/crossover-bin/crossover-bin-12.5.1-r2.ebuild b/app-emulation/crossover-bin/crossover-bin-12.5.1-r2.ebuild
new file mode 100644
index 000000000000..4cdba4850605
--- /dev/null
+++ b/app-emulation/crossover-bin/crossover-bin-12.5.1-r2.ebuild
@@ -0,0 +1,128 @@
+# Copyright 1999-2015 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=5
+PYTHON_COMPAT=( python2_7 )
+PYTHON_REQ_USE="threads"
+
+inherit python-single-r1 unpacker
+
+DESCRIPTION="Commercial version of app-emulation/wine with paid support."
+HOMEPAGE="http://www.codeweavers.com/products/crossover/"
+SRC_URI="install-crossover-${PV}.bin"
+
+LICENSE="CROSSOVER-2"
+SLOT="0"
+KEYWORDS="-* ~amd64 ~x86"
+IUSE="+capi +cups doc +gphoto2 +gsm +jpeg +lcms +ldap +mp3 +nls +openal +opengl +png +scanner +ssl +v4l"
+RESTRICT="bindist fetch test"
+QA_FLAGS_IGNORED="opt/cxoffice/.*"
+QA_PRESTRIPPED="opt/cxoffice/lib/.*
+ opt/cxoffice/bin/cxburner
+ opt/cxoffice/bin/cxntlm_auth
+ opt/cxoffice/bin/wineserver
+ opt/cxoffice/bin/unrar
+ opt/cxoffice/bin/wine-preloader
+ opt/cxoffice/bin/cxdiag
+ opt/cxoffice/bin/cxgettext
+ opt/cxoffice/bin/wineloader
+ "
+S="${WORKDIR}"
+
+DEPEND="dev-lang/perl
+ app-arch/unzip
+ ${PYTHON_DEPS}"
+
+RDEPEND="${DEPEND}
+ !prefix? ( sys-libs/glibc )
+ >=dev-python/pygtk-2.10[${PYTHON_USEDEP}]
+ dev-python/dbus-python[${PYTHON_USEDEP}]
+ dev-util/desktop-file-utils
+ !app-emulation/crossover-office-pro-bin
+ !app-emulation/crossover-office-bin
+ capi? ( net-dialup/capi4k-utils )
+ cups? ( net-print/cups[abi_x86_32(-)] )
+ gsm? ( media-sound/gsm[abi_x86_32(-)] )
+ jpeg? ( virtual/jpeg[abi_x86_32(-)] )
+ lcms? ( media-libs/lcms:2 )
+ ldap? ( net-nds/openldap[abi_x86_32(-)] )
+ gphoto2? ( media-libs/libgphoto2[abi_x86_32(-)] )
+ mp3? ( >=media-sound/mpg123-1.5.0[abi_x86_32(-)] )
+ nls? ( sys-devel/gettext[abi_x86_32(-)] )
+ openal? ( media-libs/openal[abi_x86_32(-)] )
+ opengl? (
+ virtual/glu[abi_x86_32(-)]
+ virtual/opengl[abi_x86_32(-)]
+ )
+ png? ( media-libs/libpng:0[abi_x86_32(-)] )
+ scanner? ( media-gfx/sane-backends[abi_x86_32(-)] )
+ ssl? ( dev-libs/openssl:0[abi_x86_32(-)] )
+ v4l? ( media-libs/libv4l[abi_x86_32(-)] )
+ media-libs/alsa-lib[abi_x86_32(-)]
+ >=media-libs/freetype-2.0.0[abi_x86_32(-)]
+ media-libs/mesa[abi_x86_32(-)]
+ sys-apps/util-linux[abi_x86_32(-)]
+ sys-libs/zlib[abi_x86_32(-)]
+ x11-libs/libICE[abi_x86_32(-)]
+ x11-libs/libSM[abi_x86_32(-)]
+ x11-libs/libX11[abi_x86_32(-)]
+ x11-libs/libXau[abi_x86_32(-)]
+ x11-libs/libXdmcp[abi_x86_32(-)]
+ x11-libs/libXext[abi_x86_32(-)]
+ x11-libs/libXi[abi_x86_32(-)]
+ x11-libs/libXrandr[abi_x86_32(-)]
+ x11-libs/libXxf86vm[abi_x86_32(-)]
+ x11-libs/libxcb[abi_x86_32(-)]"
+
+pkg_nofetch() {
+ einfo "Please visit ${HOMEPAGE}"
+ einfo "and place ${A} in ${DISTDIR}"
+}
+
+src_unpack() {
+ # self unpacking zip archive; unzip warns about the exe stuff
+ unpack_zip ${A}
+}
+
+src_prepare() {
+ python_fix_shebang .
+ sed -e 's:/usr/local/etc/xdg /etc/xdg::' -i "${WORKDIR}/bin/locate_gui.sh" \
+ || die "Could not patch ${WORKDIR}/bin/locate_gui.sh"
+
+ # Remove unnecessary files
+ rm -r license.txt guis/ || die "Could not remove files"
+ use doc || rm -r doc/ || die "Could not remove files"
+}
+
+src_install() {
+ # Install crossover symlink, bug #476314
+ dosym /opt/cxoffice/bin/crossover /opt/bin/crossover
+
+ # Install documentation
+ dodoc README changelog.txt
+ rm README changelog.txt || die "Could not remove README and changelog.txt"
+
+ # Install files
+ dodir /opt/cxoffice
+ cp -r ./* "${ED}opt/cxoffice" \
+ || die "Could not install into ${ED}opt/cxoffice"
+
+ # Install configuration file
+ insinto /opt/cxoffice/etc
+ doins share/crossover/data/cxoffice.conf
+
+ # Install requisite directories for menus
+ dodir "/usr/share/applications"
+ dodir "/etc/xdg/menus/applications-merged"
+
+ # Install menus
+ XDG_CONFIG_DIRS="${ED}etc/xdg" \
+ XDG_DATA_DIRS="${ED}usr/share" \
+ "${ED}opt/cxoffice/bin/cxmenu" --crossover --install \
+ || die "Could not install menus"
+
+ # Fix menus
+ sed -e "s:${ED}:/:" -i "${ED}usr/share/applications/"* \
+ || die "Could not fix menus"
+}
diff --git a/app-emulation/crossover-bin/crossover-bin-13.0.0-r2.ebuild b/app-emulation/crossover-bin/crossover-bin-13.0.0-r2.ebuild
new file mode 100644
index 000000000000..4cdba4850605
--- /dev/null
+++ b/app-emulation/crossover-bin/crossover-bin-13.0.0-r2.ebuild
@@ -0,0 +1,128 @@
+# Copyright 1999-2015 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=5
+PYTHON_COMPAT=( python2_7 )
+PYTHON_REQ_USE="threads"
+
+inherit python-single-r1 unpacker
+
+DESCRIPTION="Commercial version of app-emulation/wine with paid support."
+HOMEPAGE="http://www.codeweavers.com/products/crossover/"
+SRC_URI="install-crossover-${PV}.bin"
+
+LICENSE="CROSSOVER-2"
+SLOT="0"
+KEYWORDS="-* ~amd64 ~x86"
+IUSE="+capi +cups doc +gphoto2 +gsm +jpeg +lcms +ldap +mp3 +nls +openal +opengl +png +scanner +ssl +v4l"
+RESTRICT="bindist fetch test"
+QA_FLAGS_IGNORED="opt/cxoffice/.*"
+QA_PRESTRIPPED="opt/cxoffice/lib/.*
+ opt/cxoffice/bin/cxburner
+ opt/cxoffice/bin/cxntlm_auth
+ opt/cxoffice/bin/wineserver
+ opt/cxoffice/bin/unrar
+ opt/cxoffice/bin/wine-preloader
+ opt/cxoffice/bin/cxdiag
+ opt/cxoffice/bin/cxgettext
+ opt/cxoffice/bin/wineloader
+ "
+S="${WORKDIR}"
+
+DEPEND="dev-lang/perl
+ app-arch/unzip
+ ${PYTHON_DEPS}"
+
+RDEPEND="${DEPEND}
+ !prefix? ( sys-libs/glibc )
+ >=dev-python/pygtk-2.10[${PYTHON_USEDEP}]
+ dev-python/dbus-python[${PYTHON_USEDEP}]
+ dev-util/desktop-file-utils
+ !app-emulation/crossover-office-pro-bin
+ !app-emulation/crossover-office-bin
+ capi? ( net-dialup/capi4k-utils )
+ cups? ( net-print/cups[abi_x86_32(-)] )
+ gsm? ( media-sound/gsm[abi_x86_32(-)] )
+ jpeg? ( virtual/jpeg[abi_x86_32(-)] )
+ lcms? ( media-libs/lcms:2 )
+ ldap? ( net-nds/openldap[abi_x86_32(-)] )
+ gphoto2? ( media-libs/libgphoto2[abi_x86_32(-)] )
+ mp3? ( >=media-sound/mpg123-1.5.0[abi_x86_32(-)] )
+ nls? ( sys-devel/gettext[abi_x86_32(-)] )
+ openal? ( media-libs/openal[abi_x86_32(-)] )
+ opengl? (
+ virtual/glu[abi_x86_32(-)]
+ virtual/opengl[abi_x86_32(-)]
+ )
+ png? ( media-libs/libpng:0[abi_x86_32(-)] )
+ scanner? ( media-gfx/sane-backends[abi_x86_32(-)] )
+ ssl? ( dev-libs/openssl:0[abi_x86_32(-)] )
+ v4l? ( media-libs/libv4l[abi_x86_32(-)] )
+ media-libs/alsa-lib[abi_x86_32(-)]
+ >=media-libs/freetype-2.0.0[abi_x86_32(-)]
+ media-libs/mesa[abi_x86_32(-)]
+ sys-apps/util-linux[abi_x86_32(-)]
+ sys-libs/zlib[abi_x86_32(-)]
+ x11-libs/libICE[abi_x86_32(-)]
+ x11-libs/libSM[abi_x86_32(-)]
+ x11-libs/libX11[abi_x86_32(-)]
+ x11-libs/libXau[abi_x86_32(-)]
+ x11-libs/libXdmcp[abi_x86_32(-)]
+ x11-libs/libXext[abi_x86_32(-)]
+ x11-libs/libXi[abi_x86_32(-)]
+ x11-libs/libXrandr[abi_x86_32(-)]
+ x11-libs/libXxf86vm[abi_x86_32(-)]
+ x11-libs/libxcb[abi_x86_32(-)]"
+
+pkg_nofetch() {
+ einfo "Please visit ${HOMEPAGE}"
+ einfo "and place ${A} in ${DISTDIR}"
+}
+
+src_unpack() {
+ # self unpacking zip archive; unzip warns about the exe stuff
+ unpack_zip ${A}
+}
+
+src_prepare() {
+ python_fix_shebang .
+ sed -e 's:/usr/local/etc/xdg /etc/xdg::' -i "${WORKDIR}/bin/locate_gui.sh" \
+ || die "Could not patch ${WORKDIR}/bin/locate_gui.sh"
+
+ # Remove unnecessary files
+ rm -r license.txt guis/ || die "Could not remove files"
+ use doc || rm -r doc/ || die "Could not remove files"
+}
+
+src_install() {
+ # Install crossover symlink, bug #476314
+ dosym /opt/cxoffice/bin/crossover /opt/bin/crossover
+
+ # Install documentation
+ dodoc README changelog.txt
+ rm README changelog.txt || die "Could not remove README and changelog.txt"
+
+ # Install files
+ dodir /opt/cxoffice
+ cp -r ./* "${ED}opt/cxoffice" \
+ || die "Could not install into ${ED}opt/cxoffice"
+
+ # Install configuration file
+ insinto /opt/cxoffice/etc
+ doins share/crossover/data/cxoffice.conf
+
+ # Install requisite directories for menus
+ dodir "/usr/share/applications"
+ dodir "/etc/xdg/menus/applications-merged"
+
+ # Install menus
+ XDG_CONFIG_DIRS="${ED}etc/xdg" \
+ XDG_DATA_DIRS="${ED}usr/share" \
+ "${ED}opt/cxoffice/bin/cxmenu" --crossover --install \
+ || die "Could not install menus"
+
+ # Fix menus
+ sed -e "s:${ED}:/:" -i "${ED}usr/share/applications/"* \
+ || die "Could not fix menus"
+}
diff --git a/app-emulation/crossover-bin/crossover-bin-13.0.1-r2.ebuild b/app-emulation/crossover-bin/crossover-bin-13.0.1-r2.ebuild
new file mode 100644
index 000000000000..4cdba4850605
--- /dev/null
+++ b/app-emulation/crossover-bin/crossover-bin-13.0.1-r2.ebuild
@@ -0,0 +1,128 @@
+# Copyright 1999-2015 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=5
+PYTHON_COMPAT=( python2_7 )
+PYTHON_REQ_USE="threads"
+
+inherit python-single-r1 unpacker
+
+DESCRIPTION="Commercial version of app-emulation/wine with paid support."
+HOMEPAGE="http://www.codeweavers.com/products/crossover/"
+SRC_URI="install-crossover-${PV}.bin"
+
+LICENSE="CROSSOVER-2"
+SLOT="0"
+KEYWORDS="-* ~amd64 ~x86"
+IUSE="+capi +cups doc +gphoto2 +gsm +jpeg +lcms +ldap +mp3 +nls +openal +opengl +png +scanner +ssl +v4l"
+RESTRICT="bindist fetch test"
+QA_FLAGS_IGNORED="opt/cxoffice/.*"
+QA_PRESTRIPPED="opt/cxoffice/lib/.*
+ opt/cxoffice/bin/cxburner
+ opt/cxoffice/bin/cxntlm_auth
+ opt/cxoffice/bin/wineserver
+ opt/cxoffice/bin/unrar
+ opt/cxoffice/bin/wine-preloader
+ opt/cxoffice/bin/cxdiag
+ opt/cxoffice/bin/cxgettext
+ opt/cxoffice/bin/wineloader
+ "
+S="${WORKDIR}"
+
+DEPEND="dev-lang/perl
+ app-arch/unzip
+ ${PYTHON_DEPS}"
+
+RDEPEND="${DEPEND}
+ !prefix? ( sys-libs/glibc )
+ >=dev-python/pygtk-2.10[${PYTHON_USEDEP}]
+ dev-python/dbus-python[${PYTHON_USEDEP}]
+ dev-util/desktop-file-utils
+ !app-emulation/crossover-office-pro-bin
+ !app-emulation/crossover-office-bin
+ capi? ( net-dialup/capi4k-utils )
+ cups? ( net-print/cups[abi_x86_32(-)] )
+ gsm? ( media-sound/gsm[abi_x86_32(-)] )
+ jpeg? ( virtual/jpeg[abi_x86_32(-)] )
+ lcms? ( media-libs/lcms:2 )
+ ldap? ( net-nds/openldap[abi_x86_32(-)] )
+ gphoto2? ( media-libs/libgphoto2[abi_x86_32(-)] )
+ mp3? ( >=media-sound/mpg123-1.5.0[abi_x86_32(-)] )
+ nls? ( sys-devel/gettext[abi_x86_32(-)] )
+ openal? ( media-libs/openal[abi_x86_32(-)] )
+ opengl? (
+ virtual/glu[abi_x86_32(-)]
+ virtual/opengl[abi_x86_32(-)]
+ )
+ png? ( media-libs/libpng:0[abi_x86_32(-)] )
+ scanner? ( media-gfx/sane-backends[abi_x86_32(-)] )
+ ssl? ( dev-libs/openssl:0[abi_x86_32(-)] )
+ v4l? ( media-libs/libv4l[abi_x86_32(-)] )
+ media-libs/alsa-lib[abi_x86_32(-)]
+ >=media-libs/freetype-2.0.0[abi_x86_32(-)]
+ media-libs/mesa[abi_x86_32(-)]
+ sys-apps/util-linux[abi_x86_32(-)]
+ sys-libs/zlib[abi_x86_32(-)]
+ x11-libs/libICE[abi_x86_32(-)]
+ x11-libs/libSM[abi_x86_32(-)]
+ x11-libs/libX11[abi_x86_32(-)]
+ x11-libs/libXau[abi_x86_32(-)]
+ x11-libs/libXdmcp[abi_x86_32(-)]
+ x11-libs/libXext[abi_x86_32(-)]
+ x11-libs/libXi[abi_x86_32(-)]
+ x11-libs/libXrandr[abi_x86_32(-)]
+ x11-libs/libXxf86vm[abi_x86_32(-)]
+ x11-libs/libxcb[abi_x86_32(-)]"
+
+pkg_nofetch() {
+ einfo "Please visit ${HOMEPAGE}"
+ einfo "and place ${A} in ${DISTDIR}"
+}
+
+src_unpack() {
+ # self unpacking zip archive; unzip warns about the exe stuff
+ unpack_zip ${A}
+}
+
+src_prepare() {
+ python_fix_shebang .
+ sed -e 's:/usr/local/etc/xdg /etc/xdg::' -i "${WORKDIR}/bin/locate_gui.sh" \
+ || die "Could not patch ${WORKDIR}/bin/locate_gui.sh"
+
+ # Remove unnecessary files
+ rm -r license.txt guis/ || die "Could not remove files"
+ use doc || rm -r doc/ || die "Could not remove files"
+}
+
+src_install() {
+ # Install crossover symlink, bug #476314
+ dosym /opt/cxoffice/bin/crossover /opt/bin/crossover
+
+ # Install documentation
+ dodoc README changelog.txt
+ rm README changelog.txt || die "Could not remove README and changelog.txt"
+
+ # Install files
+ dodir /opt/cxoffice
+ cp -r ./* "${ED}opt/cxoffice" \
+ || die "Could not install into ${ED}opt/cxoffice"
+
+ # Install configuration file
+ insinto /opt/cxoffice/etc
+ doins share/crossover/data/cxoffice.conf
+
+ # Install requisite directories for menus
+ dodir "/usr/share/applications"
+ dodir "/etc/xdg/menus/applications-merged"
+
+ # Install menus
+ XDG_CONFIG_DIRS="${ED}etc/xdg" \
+ XDG_DATA_DIRS="${ED}usr/share" \
+ "${ED}opt/cxoffice/bin/cxmenu" --crossover --install \
+ || die "Could not install menus"
+
+ # Fix menus
+ sed -e "s:${ED}:/:" -i "${ED}usr/share/applications/"* \
+ || die "Could not fix menus"
+}
diff --git a/app-emulation/crossover-bin/crossover-bin-13.1.0-r2.ebuild b/app-emulation/crossover-bin/crossover-bin-13.1.0-r2.ebuild
new file mode 100644
index 000000000000..4cdba4850605
--- /dev/null
+++ b/app-emulation/crossover-bin/crossover-bin-13.1.0-r2.ebuild
@@ -0,0 +1,128 @@
+# Copyright 1999-2015 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=5
+PYTHON_COMPAT=( python2_7 )
+PYTHON_REQ_USE="threads"
+
+inherit python-single-r1 unpacker
+
+DESCRIPTION="Commercial version of app-emulation/wine with paid support."
+HOMEPAGE="http://www.codeweavers.com/products/crossover/"
+SRC_URI="install-crossover-${PV}.bin"
+
+LICENSE="CROSSOVER-2"
+SLOT="0"
+KEYWORDS="-* ~amd64 ~x86"
+IUSE="+capi +cups doc +gphoto2 +gsm +jpeg +lcms +ldap +mp3 +nls +openal +opengl +png +scanner +ssl +v4l"
+RESTRICT="bindist fetch test"
+QA_FLAGS_IGNORED="opt/cxoffice/.*"
+QA_PRESTRIPPED="opt/cxoffice/lib/.*
+ opt/cxoffice/bin/cxburner
+ opt/cxoffice/bin/cxntlm_auth
+ opt/cxoffice/bin/wineserver
+ opt/cxoffice/bin/unrar
+ opt/cxoffice/bin/wine-preloader
+ opt/cxoffice/bin/cxdiag
+ opt/cxoffice/bin/cxgettext
+ opt/cxoffice/bin/wineloader
+ "
+S="${WORKDIR}"
+
+DEPEND="dev-lang/perl
+ app-arch/unzip
+ ${PYTHON_DEPS}"
+
+RDEPEND="${DEPEND}
+ !prefix? ( sys-libs/glibc )
+ >=dev-python/pygtk-2.10[${PYTHON_USEDEP}]
+ dev-python/dbus-python[${PYTHON_USEDEP}]
+ dev-util/desktop-file-utils
+ !app-emulation/crossover-office-pro-bin
+ !app-emulation/crossover-office-bin
+ capi? ( net-dialup/capi4k-utils )
+ cups? ( net-print/cups[abi_x86_32(-)] )
+ gsm? ( media-sound/gsm[abi_x86_32(-)] )
+ jpeg? ( virtual/jpeg[abi_x86_32(-)] )
+ lcms? ( media-libs/lcms:2 )
+ ldap? ( net-nds/openldap[abi_x86_32(-)] )
+ gphoto2? ( media-libs/libgphoto2[abi_x86_32(-)] )
+ mp3? ( >=media-sound/mpg123-1.5.0[abi_x86_32(-)] )
+ nls? ( sys-devel/gettext[abi_x86_32(-)] )
+ openal? ( media-libs/openal[abi_x86_32(-)] )
+ opengl? (
+ virtual/glu[abi_x86_32(-)]
+ virtual/opengl[abi_x86_32(-)]
+ )
+ png? ( media-libs/libpng:0[abi_x86_32(-)] )
+ scanner? ( media-gfx/sane-backends[abi_x86_32(-)] )
+ ssl? ( dev-libs/openssl:0[abi_x86_32(-)] )
+ v4l? ( media-libs/libv4l[abi_x86_32(-)] )
+ media-libs/alsa-lib[abi_x86_32(-)]
+ >=media-libs/freetype-2.0.0[abi_x86_32(-)]
+ media-libs/mesa[abi_x86_32(-)]
+ sys-apps/util-linux[abi_x86_32(-)]
+ sys-libs/zlib[abi_x86_32(-)]
+ x11-libs/libICE[abi_x86_32(-)]
+ x11-libs/libSM[abi_x86_32(-)]
+ x11-libs/libX11[abi_x86_32(-)]
+ x11-libs/libXau[abi_x86_32(-)]
+ x11-libs/libXdmcp[abi_x86_32(-)]
+ x11-libs/libXext[abi_x86_32(-)]
+ x11-libs/libXi[abi_x86_32(-)]
+ x11-libs/libXrandr[abi_x86_32(-)]
+ x11-libs/libXxf86vm[abi_x86_32(-)]
+ x11-libs/libxcb[abi_x86_32(-)]"
+
+pkg_nofetch() {
+ einfo "Please visit ${HOMEPAGE}"
+ einfo "and place ${A} in ${DISTDIR}"
+}
+
+src_unpack() {
+ # self unpacking zip archive; unzip warns about the exe stuff
+ unpack_zip ${A}
+}
+
+src_prepare() {
+ python_fix_shebang .
+ sed -e 's:/usr/local/etc/xdg /etc/xdg::' -i "${WORKDIR}/bin/locate_gui.sh" \
+ || die "Could not patch ${WORKDIR}/bin/locate_gui.sh"
+
+ # Remove unnecessary files
+ rm -r license.txt guis/ || die "Could not remove files"
+ use doc || rm -r doc/ || die "Could not remove files"
+}
+
+src_install() {
+ # Install crossover symlink, bug #476314
+ dosym /opt/cxoffice/bin/crossover /opt/bin/crossover
+
+ # Install documentation
+ dodoc README changelog.txt
+ rm README changelog.txt || die "Could not remove README and changelog.txt"
+
+ # Install files
+ dodir /opt/cxoffice
+ cp -r ./* "${ED}opt/cxoffice" \
+ || die "Could not install into ${ED}opt/cxoffice"
+
+ # Install configuration file
+ insinto /opt/cxoffice/etc
+ doins share/crossover/data/cxoffice.conf
+
+ # Install requisite directories for menus
+ dodir "/usr/share/applications"
+ dodir "/etc/xdg/menus/applications-merged"
+
+ # Install menus
+ XDG_CONFIG_DIRS="${ED}etc/xdg" \
+ XDG_DATA_DIRS="${ED}usr/share" \
+ "${ED}opt/cxoffice/bin/cxmenu" --crossover --install \
+ || die "Could not install menus"
+
+ # Fix menus
+ sed -e "s:${ED}:/:" -i "${ED}usr/share/applications/"* \
+ || die "Could not fix menus"
+}
diff --git a/app-emulation/crossover-bin/crossover-bin-13.1.2-r2.ebuild b/app-emulation/crossover-bin/crossover-bin-13.1.2-r2.ebuild
new file mode 100644
index 000000000000..4cdba4850605
--- /dev/null
+++ b/app-emulation/crossover-bin/crossover-bin-13.1.2-r2.ebuild
@@ -0,0 +1,128 @@
+# Copyright 1999-2015 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=5
+PYTHON_COMPAT=( python2_7 )
+PYTHON_REQ_USE="threads"
+
+inherit python-single-r1 unpacker
+
+DESCRIPTION="Commercial version of app-emulation/wine with paid support."
+HOMEPAGE="http://www.codeweavers.com/products/crossover/"
+SRC_URI="install-crossover-${PV}.bin"
+
+LICENSE="CROSSOVER-2"
+SLOT="0"
+KEYWORDS="-* ~amd64 ~x86"
+IUSE="+capi +cups doc +gphoto2 +gsm +jpeg +lcms +ldap +mp3 +nls +openal +opengl +png +scanner +ssl +v4l"
+RESTRICT="bindist fetch test"
+QA_FLAGS_IGNORED="opt/cxoffice/.*"
+QA_PRESTRIPPED="opt/cxoffice/lib/.*
+ opt/cxoffice/bin/cxburner
+ opt/cxoffice/bin/cxntlm_auth
+ opt/cxoffice/bin/wineserver
+ opt/cxoffice/bin/unrar
+ opt/cxoffice/bin/wine-preloader
+ opt/cxoffice/bin/cxdiag
+ opt/cxoffice/bin/cxgettext
+ opt/cxoffice/bin/wineloader
+ "
+S="${WORKDIR}"
+
+DEPEND="dev-lang/perl
+ app-arch/unzip
+ ${PYTHON_DEPS}"
+
+RDEPEND="${DEPEND}
+ !prefix? ( sys-libs/glibc )
+ >=dev-python/pygtk-2.10[${PYTHON_USEDEP}]
+ dev-python/dbus-python[${PYTHON_USEDEP}]
+ dev-util/desktop-file-utils
+ !app-emulation/crossover-office-pro-bin
+ !app-emulation/crossover-office-bin
+ capi? ( net-dialup/capi4k-utils )
+ cups? ( net-print/cups[abi_x86_32(-)] )
+ gsm? ( media-sound/gsm[abi_x86_32(-)] )
+ jpeg? ( virtual/jpeg[abi_x86_32(-)] )
+ lcms? ( media-libs/lcms:2 )
+ ldap? ( net-nds/openldap[abi_x86_32(-)] )
+ gphoto2? ( media-libs/libgphoto2[abi_x86_32(-)] )
+ mp3? ( >=media-sound/mpg123-1.5.0[abi_x86_32(-)] )
+ nls? ( sys-devel/gettext[abi_x86_32(-)] )
+ openal? ( media-libs/openal[abi_x86_32(-)] )
+ opengl? (
+ virtual/glu[abi_x86_32(-)]
+ virtual/opengl[abi_x86_32(-)]
+ )
+ png? ( media-libs/libpng:0[abi_x86_32(-)] )
+ scanner? ( media-gfx/sane-backends[abi_x86_32(-)] )
+ ssl? ( dev-libs/openssl:0[abi_x86_32(-)] )
+ v4l? ( media-libs/libv4l[abi_x86_32(-)] )
+ media-libs/alsa-lib[abi_x86_32(-)]
+ >=media-libs/freetype-2.0.0[abi_x86_32(-)]
+ media-libs/mesa[abi_x86_32(-)]
+ sys-apps/util-linux[abi_x86_32(-)]
+ sys-libs/zlib[abi_x86_32(-)]
+ x11-libs/libICE[abi_x86_32(-)]
+ x11-libs/libSM[abi_x86_32(-)]
+ x11-libs/libX11[abi_x86_32(-)]
+ x11-libs/libXau[abi_x86_32(-)]
+ x11-libs/libXdmcp[abi_x86_32(-)]
+ x11-libs/libXext[abi_x86_32(-)]
+ x11-libs/libXi[abi_x86_32(-)]
+ x11-libs/libXrandr[abi_x86_32(-)]
+ x11-libs/libXxf86vm[abi_x86_32(-)]
+ x11-libs/libxcb[abi_x86_32(-)]"
+
+pkg_nofetch() {
+ einfo "Please visit ${HOMEPAGE}"
+ einfo "and place ${A} in ${DISTDIR}"
+}
+
+src_unpack() {
+ # self unpacking zip archive; unzip warns about the exe stuff
+ unpack_zip ${A}
+}
+
+src_prepare() {
+ python_fix_shebang .
+ sed -e 's:/usr/local/etc/xdg /etc/xdg::' -i "${WORKDIR}/bin/locate_gui.sh" \
+ || die "Could not patch ${WORKDIR}/bin/locate_gui.sh"
+
+ # Remove unnecessary files
+ rm -r license.txt guis/ || die "Could not remove files"
+ use doc || rm -r doc/ || die "Could not remove files"
+}
+
+src_install() {
+ # Install crossover symlink, bug #476314
+ dosym /opt/cxoffice/bin/crossover /opt/bin/crossover
+
+ # Install documentation
+ dodoc README changelog.txt
+ rm README changelog.txt || die "Could not remove README and changelog.txt"
+
+ # Install files
+ dodir /opt/cxoffice
+ cp -r ./* "${ED}opt/cxoffice" \
+ || die "Could not install into ${ED}opt/cxoffice"
+
+ # Install configuration file
+ insinto /opt/cxoffice/etc
+ doins share/crossover/data/cxoffice.conf
+
+ # Install requisite directories for menus
+ dodir "/usr/share/applications"
+ dodir "/etc/xdg/menus/applications-merged"
+
+ # Install menus
+ XDG_CONFIG_DIRS="${ED}etc/xdg" \
+ XDG_DATA_DIRS="${ED}usr/share" \
+ "${ED}opt/cxoffice/bin/cxmenu" --crossover --install \
+ || die "Could not install menus"
+
+ # Fix menus
+ sed -e "s:${ED}:/:" -i "${ED}usr/share/applications/"* \
+ || die "Could not fix menus"
+}
diff --git a/app-emulation/crossover-bin/crossover-bin-13.1.3-r2.ebuild b/app-emulation/crossover-bin/crossover-bin-13.1.3-r2.ebuild
new file mode 100644
index 000000000000..4cdba4850605
--- /dev/null
+++ b/app-emulation/crossover-bin/crossover-bin-13.1.3-r2.ebuild
@@ -0,0 +1,128 @@
+# Copyright 1999-2015 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=5
+PYTHON_COMPAT=( python2_7 )
+PYTHON_REQ_USE="threads"
+
+inherit python-single-r1 unpacker
+
+DESCRIPTION="Commercial version of app-emulation/wine with paid support."
+HOMEPAGE="http://www.codeweavers.com/products/crossover/"
+SRC_URI="install-crossover-${PV}.bin"
+
+LICENSE="CROSSOVER-2"
+SLOT="0"
+KEYWORDS="-* ~amd64 ~x86"
+IUSE="+capi +cups doc +gphoto2 +gsm +jpeg +lcms +ldap +mp3 +nls +openal +opengl +png +scanner +ssl +v4l"
+RESTRICT="bindist fetch test"
+QA_FLAGS_IGNORED="opt/cxoffice/.*"
+QA_PRESTRIPPED="opt/cxoffice/lib/.*
+ opt/cxoffice/bin/cxburner
+ opt/cxoffice/bin/cxntlm_auth
+ opt/cxoffice/bin/wineserver
+ opt/cxoffice/bin/unrar
+ opt/cxoffice/bin/wine-preloader
+ opt/cxoffice/bin/cxdiag
+ opt/cxoffice/bin/cxgettext
+ opt/cxoffice/bin/wineloader
+ "
+S="${WORKDIR}"
+
+DEPEND="dev-lang/perl
+ app-arch/unzip
+ ${PYTHON_DEPS}"
+
+RDEPEND="${DEPEND}
+ !prefix? ( sys-libs/glibc )
+ >=dev-python/pygtk-2.10[${PYTHON_USEDEP}]
+ dev-python/dbus-python[${PYTHON_USEDEP}]
+ dev-util/desktop-file-utils
+ !app-emulation/crossover-office-pro-bin
+ !app-emulation/crossover-office-bin
+ capi? ( net-dialup/capi4k-utils )
+ cups? ( net-print/cups[abi_x86_32(-)] )
+ gsm? ( media-sound/gsm[abi_x86_32(-)] )
+ jpeg? ( virtual/jpeg[abi_x86_32(-)] )
+ lcms? ( media-libs/lcms:2 )
+ ldap? ( net-nds/openldap[abi_x86_32(-)] )
+ gphoto2? ( media-libs/libgphoto2[abi_x86_32(-)] )
+ mp3? ( >=media-sound/mpg123-1.5.0[abi_x86_32(-)] )
+ nls? ( sys-devel/gettext[abi_x86_32(-)] )
+ openal? ( media-libs/openal[abi_x86_32(-)] )
+ opengl? (
+ virtual/glu[abi_x86_32(-)]
+ virtual/opengl[abi_x86_32(-)]
+ )
+ png? ( media-libs/libpng:0[abi_x86_32(-)] )
+ scanner? ( media-gfx/sane-backends[abi_x86_32(-)] )
+ ssl? ( dev-libs/openssl:0[abi_x86_32(-)] )
+ v4l? ( media-libs/libv4l[abi_x86_32(-)] )
+ media-libs/alsa-lib[abi_x86_32(-)]
+ >=media-libs/freetype-2.0.0[abi_x86_32(-)]
+ media-libs/mesa[abi_x86_32(-)]
+ sys-apps/util-linux[abi_x86_32(-)]
+ sys-libs/zlib[abi_x86_32(-)]
+ x11-libs/libICE[abi_x86_32(-)]
+ x11-libs/libSM[abi_x86_32(-)]
+ x11-libs/libX11[abi_x86_32(-)]
+ x11-libs/libXau[abi_x86_32(-)]
+ x11-libs/libXdmcp[abi_x86_32(-)]
+ x11-libs/libXext[abi_x86_32(-)]
+ x11-libs/libXi[abi_x86_32(-)]
+ x11-libs/libXrandr[abi_x86_32(-)]
+ x11-libs/libXxf86vm[abi_x86_32(-)]
+ x11-libs/libxcb[abi_x86_32(-)]"
+
+pkg_nofetch() {
+ einfo "Please visit ${HOMEPAGE}"
+ einfo "and place ${A} in ${DISTDIR}"
+}
+
+src_unpack() {
+ # self unpacking zip archive; unzip warns about the exe stuff
+ unpack_zip ${A}
+}
+
+src_prepare() {
+ python_fix_shebang .
+ sed -e 's:/usr/local/etc/xdg /etc/xdg::' -i "${WORKDIR}/bin/locate_gui.sh" \
+ || die "Could not patch ${WORKDIR}/bin/locate_gui.sh"
+
+ # Remove unnecessary files
+ rm -r license.txt guis/ || die "Could not remove files"
+ use doc || rm -r doc/ || die "Could not remove files"
+}
+
+src_install() {
+ # Install crossover symlink, bug #476314
+ dosym /opt/cxoffice/bin/crossover /opt/bin/crossover
+
+ # Install documentation
+ dodoc README changelog.txt
+ rm README changelog.txt || die "Could not remove README and changelog.txt"
+
+ # Install files
+ dodir /opt/cxoffice
+ cp -r ./* "${ED}opt/cxoffice" \
+ || die "Could not install into ${ED}opt/cxoffice"
+
+ # Install configuration file
+ insinto /opt/cxoffice/etc
+ doins share/crossover/data/cxoffice.conf
+
+ # Install requisite directories for menus
+ dodir "/usr/share/applications"
+ dodir "/etc/xdg/menus/applications-merged"
+
+ # Install menus
+ XDG_CONFIG_DIRS="${ED}etc/xdg" \
+ XDG_DATA_DIRS="${ED}usr/share" \
+ "${ED}opt/cxoffice/bin/cxmenu" --crossover --install \
+ || die "Could not install menus"
+
+ # Fix menus
+ sed -e "s:${ED}:/:" -i "${ED}usr/share/applications/"* \
+ || die "Could not fix menus"
+}
diff --git a/app-emulation/crossover-bin/crossover-bin-13.2.0-r2.ebuild b/app-emulation/crossover-bin/crossover-bin-13.2.0-r2.ebuild
new file mode 100644
index 000000000000..4cdba4850605
--- /dev/null
+++ b/app-emulation/crossover-bin/crossover-bin-13.2.0-r2.ebuild
@@ -0,0 +1,128 @@
+# Copyright 1999-2015 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=5
+PYTHON_COMPAT=( python2_7 )
+PYTHON_REQ_USE="threads"
+
+inherit python-single-r1 unpacker
+
+DESCRIPTION="Commercial version of app-emulation/wine with paid support."
+HOMEPAGE="http://www.codeweavers.com/products/crossover/"
+SRC_URI="install-crossover-${PV}.bin"
+
+LICENSE="CROSSOVER-2"
+SLOT="0"
+KEYWORDS="-* ~amd64 ~x86"
+IUSE="+capi +cups doc +gphoto2 +gsm +jpeg +lcms +ldap +mp3 +nls +openal +opengl +png +scanner +ssl +v4l"
+RESTRICT="bindist fetch test"
+QA_FLAGS_IGNORED="opt/cxoffice/.*"
+QA_PRESTRIPPED="opt/cxoffice/lib/.*
+ opt/cxoffice/bin/cxburner
+ opt/cxoffice/bin/cxntlm_auth
+ opt/cxoffice/bin/wineserver
+ opt/cxoffice/bin/unrar
+ opt/cxoffice/bin/wine-preloader
+ opt/cxoffice/bin/cxdiag
+ opt/cxoffice/bin/cxgettext
+ opt/cxoffice/bin/wineloader
+ "
+S="${WORKDIR}"
+
+DEPEND="dev-lang/perl
+ app-arch/unzip
+ ${PYTHON_DEPS}"
+
+RDEPEND="${DEPEND}
+ !prefix? ( sys-libs/glibc )
+ >=dev-python/pygtk-2.10[${PYTHON_USEDEP}]
+ dev-python/dbus-python[${PYTHON_USEDEP}]
+ dev-util/desktop-file-utils
+ !app-emulation/crossover-office-pro-bin
+ !app-emulation/crossover-office-bin
+ capi? ( net-dialup/capi4k-utils )
+ cups? ( net-print/cups[abi_x86_32(-)] )
+ gsm? ( media-sound/gsm[abi_x86_32(-)] )
+ jpeg? ( virtual/jpeg[abi_x86_32(-)] )
+ lcms? ( media-libs/lcms:2 )
+ ldap? ( net-nds/openldap[abi_x86_32(-)] )
+ gphoto2? ( media-libs/libgphoto2[abi_x86_32(-)] )
+ mp3? ( >=media-sound/mpg123-1.5.0[abi_x86_32(-)] )
+ nls? ( sys-devel/gettext[abi_x86_32(-)] )
+ openal? ( media-libs/openal[abi_x86_32(-)] )
+ opengl? (
+ virtual/glu[abi_x86_32(-)]
+ virtual/opengl[abi_x86_32(-)]
+ )
+ png? ( media-libs/libpng:0[abi_x86_32(-)] )
+ scanner? ( media-gfx/sane-backends[abi_x86_32(-)] )
+ ssl? ( dev-libs/openssl:0[abi_x86_32(-)] )
+ v4l? ( media-libs/libv4l[abi_x86_32(-)] )
+ media-libs/alsa-lib[abi_x86_32(-)]
+ >=media-libs/freetype-2.0.0[abi_x86_32(-)]
+ media-libs/mesa[abi_x86_32(-)]
+ sys-apps/util-linux[abi_x86_32(-)]
+ sys-libs/zlib[abi_x86_32(-)]
+ x11-libs/libICE[abi_x86_32(-)]
+ x11-libs/libSM[abi_x86_32(-)]
+ x11-libs/libX11[abi_x86_32(-)]
+ x11-libs/libXau[abi_x86_32(-)]
+ x11-libs/libXdmcp[abi_x86_32(-)]
+ x11-libs/libXext[abi_x86_32(-)]
+ x11-libs/libXi[abi_x86_32(-)]
+ x11-libs/libXrandr[abi_x86_32(-)]
+ x11-libs/libXxf86vm[abi_x86_32(-)]
+ x11-libs/libxcb[abi_x86_32(-)]"
+
+pkg_nofetch() {
+ einfo "Please visit ${HOMEPAGE}"
+ einfo "and place ${A} in ${DISTDIR}"
+}
+
+src_unpack() {
+ # self unpacking zip archive; unzip warns about the exe stuff
+ unpack_zip ${A}
+}
+
+src_prepare() {
+ python_fix_shebang .
+ sed -e 's:/usr/local/etc/xdg /etc/xdg::' -i "${WORKDIR}/bin/locate_gui.sh" \
+ || die "Could not patch ${WORKDIR}/bin/locate_gui.sh"
+
+ # Remove unnecessary files
+ rm -r license.txt guis/ || die "Could not remove files"
+ use doc || rm -r doc/ || die "Could not remove files"
+}
+
+src_install() {
+ # Install crossover symlink, bug #476314
+ dosym /opt/cxoffice/bin/crossover /opt/bin/crossover
+
+ # Install documentation
+ dodoc README changelog.txt
+ rm README changelog.txt || die "Could not remove README and changelog.txt"
+
+ # Install files
+ dodir /opt/cxoffice
+ cp -r ./* "${ED}opt/cxoffice" \
+ || die "Could not install into ${ED}opt/cxoffice"
+
+ # Install configuration file
+ insinto /opt/cxoffice/etc
+ doins share/crossover/data/cxoffice.conf
+
+ # Install requisite directories for menus
+ dodir "/usr/share/applications"
+ dodir "/etc/xdg/menus/applications-merged"
+
+ # Install menus
+ XDG_CONFIG_DIRS="${ED}etc/xdg" \
+ XDG_DATA_DIRS="${ED}usr/share" \
+ "${ED}opt/cxoffice/bin/cxmenu" --crossover --install \
+ || die "Could not install menus"
+
+ # Fix menus
+ sed -e "s:${ED}:/:" -i "${ED}usr/share/applications/"* \
+ || die "Could not fix menus"
+}
diff --git a/app-emulation/crossover-bin/crossover-bin-14.0.3-r1.ebuild b/app-emulation/crossover-bin/crossover-bin-14.0.3-r1.ebuild
new file mode 100644
index 000000000000..4738fdc6971c
--- /dev/null
+++ b/app-emulation/crossover-bin/crossover-bin-14.0.3-r1.ebuild
@@ -0,0 +1,132 @@
+# Copyright 1999-2015 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=5
+PYTHON_COMPAT=( python2_7 )
+PYTHON_REQ_USE="threads"
+
+inherit python-single-r1 unpacker
+
+DESCRIPTION="Commercial version of app-emulation/wine with paid support."
+HOMEPAGE="http://www.codeweavers.com/products/crossover/"
+SRC_URI="install-crossover-${PV}.bin"
+
+LICENSE="CROSSOVER-2"
+SLOT="0"
+KEYWORDS="-* ~amd64 ~x86"
+IUSE="+capi +cups doc +gphoto2 +gsm +jpeg +lcms +ldap +mp3 +nls +openal +opengl +png +scanner +ssl +v4l"
+RESTRICT="bindist fetch test"
+QA_FLAGS_IGNORED="opt/cxoffice/.*"
+QA_PRESTRIPPED="opt/cxoffice/lib/.*
+ opt/cxoffice/bin/cxburner
+ opt/cxoffice/bin/cxntlm_auth
+ opt/cxoffice/bin/wineserver
+ opt/cxoffice/bin/unrar
+ opt/cxoffice/bin/wine-preloader
+ opt/cxoffice/bin/cxdiag
+ opt/cxoffice/bin/cxgettext
+ opt/cxoffice/bin/wineloader
+ "
+S="${WORKDIR}"
+
+DEPEND="dev-lang/perl
+ app-arch/unzip
+ ${PYTHON_DEPS}"
+
+RDEPEND="${DEPEND}
+ !prefix? ( sys-libs/glibc )
+ >=dev-python/pygtk-2.10[${PYTHON_USEDEP}]
+ dev-python/dbus-python[${PYTHON_USEDEP}]
+ dev-util/desktop-file-utils
+ !app-emulation/crossover-office-pro-bin
+ !app-emulation/crossover-office-bin
+ capi? ( net-dialup/capi4k-utils )
+ cups? ( net-print/cups[abi_x86_32(-)] )
+ gsm? ( media-sound/gsm[abi_x86_32(-)] )
+ jpeg? ( virtual/jpeg[abi_x86_32(-)] )
+ lcms? ( media-libs/lcms:2 )
+ ldap? ( net-nds/openldap[abi_x86_32(-)] )
+ gphoto2? ( media-libs/libgphoto2[abi_x86_32(-)] )
+ mp3? ( >=media-sound/mpg123-1.5.0[abi_x86_32(-)] )
+ nls? ( sys-devel/gettext[abi_x86_32(-)] )
+ openal? ( media-libs/openal[abi_x86_32(-)] )
+ opengl? (
+ virtual/glu[abi_x86_32(-)]
+ virtual/opengl[abi_x86_32(-)]
+ )
+ png? ( media-libs/libpng:0[abi_x86_32(-)] )
+ scanner? ( media-gfx/sane-backends[abi_x86_32(-)] )
+ ssl? ( dev-libs/openssl:0[abi_x86_32(-)] )
+ v4l? ( media-libs/libv4l[abi_x86_32(-)] )
+ media-libs/alsa-lib[abi_x86_32(-)]
+ >=media-libs/freetype-2.0.0[abi_x86_32(-)]
+ media-libs/mesa[abi_x86_32(-)]
+ sys-apps/util-linux[abi_x86_32(-)]
+ sys-libs/zlib[abi_x86_32(-)]
+ x11-libs/libICE[abi_x86_32(-)]
+ x11-libs/libSM[abi_x86_32(-)]
+ x11-libs/libX11[abi_x86_32(-)]
+ x11-libs/libXau[abi_x86_32(-)]
+ x11-libs/libXdmcp[abi_x86_32(-)]
+ x11-libs/libXext[abi_x86_32(-)]
+ x11-libs/libXi[abi_x86_32(-)]
+ x11-libs/libXrandr[abi_x86_32(-)]
+ x11-libs/libXxf86vm[abi_x86_32(-)]
+ x11-libs/libxcb[abi_x86_32(-)]"
+
+pkg_nofetch() {
+ einfo "Please visit ${HOMEPAGE}"
+ einfo "and place ${A} in ${DISTDIR}"
+}
+
+src_unpack() {
+ # self unpacking zip archive; unzip warns about the exe stuff
+ unpack_zip ${A}
+}
+
+src_prepare() {
+ python_fix_shebang .
+
+ sed -i -e "s:\$link=\"\$xdgdir:\$link=\"${ED}\/\$xdgdir:" "${S}/lib/perl/CXMenu.pm"
+ sed -i \
+ -e "s:\"\(.*\)/applications:\"${ED}/\1/applications:" \
+ -e "s:\"\(.*\)/desktop-directories:\"${ED}/\1/desktop-directories:" \
+ "${S}/lib/perl/CXMenuXDG.pm"
+
+ # Remove unnecessary files
+ rm -r license.txt guis/ || die "Could not remove files"
+ use doc || rm -r doc/ || die "Could not remove files"
+}
+
+src_install() {
+ # Install crossover symlink, bug #476314
+ dosym /opt/cxoffice/bin/crossover /opt/bin/crossover
+
+ # Install documentation
+ dodoc README changelog.txt
+ rm README changelog.txt || die "Could not remove README and changelog.txt"
+
+ # Install files
+ dodir /opt/cxoffice
+ cp -r ./* "${ED}opt/cxoffice" \
+ || die "Could not install into ${ED}opt/cxoffice"
+
+ # Install configuration file
+ insinto /opt/cxoffice/etc
+ doins share/crossover/data/cxoffice.conf
+
+ # Install menus
+ # XXX: locate_gui.sh automatically detects *-application-merged directories
+ # This means what we install will vary depending on the contents of
+ # /etc/xdg, which is a QA violation. It is not clear how to resolve this.
+ XDG_DATA_DIRS="/usr/share" XDG_CONFIG_HOME="/etc/xdg" \
+ "${ED}opt/cxoffice/bin/cxmenu" --destdir="${ED}" --crossover --install \
+ || die "Could not install menus"
+
+ rm "${ED}usr/share/applications/"*"Uninstall CrossOver Linux.desktop"
+ sed -i -e "s:${ED}:/:" "${ED}usr/share/applications/"*.desktop
+ sed -i -e "s:${ED}/::" \
+ "${ED}/opt/cxoffice/lib/perl/CXMenu.pm" \
+ "${ED}/opt/cxoffice/lib/perl/CXMenuXDG.pm"
+}
diff --git a/app-emulation/crossover-bin/crossover-bin-14.1.4-r1.ebuild b/app-emulation/crossover-bin/crossover-bin-14.1.4-r1.ebuild
new file mode 100644
index 000000000000..67924d072c61
--- /dev/null
+++ b/app-emulation/crossover-bin/crossover-bin-14.1.4-r1.ebuild
@@ -0,0 +1,132 @@
+# Copyright 1999-2015 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=5
+PYTHON_COMPAT=( python2_7 )
+PYTHON_REQ_USE="threads"
+
+inherit python-single-r1 unpacker
+
+DESCRIPTION="Commercial version of app-emulation/wine with paid support."
+HOMEPAGE="http://www.codeweavers.com/products/crossover/"
+SRC_URI="install-crossover-${PV}.bin"
+
+LICENSE="CROSSOVER-2"
+SLOT="0"
+KEYWORDS="-* ~amd64 ~x86"
+IUSE="+capi +cups doc +gphoto2 +gsm +jpeg +lcms +ldap +mp3 +nls +openal +opengl +png +scanner +ssl +v4l"
+RESTRICT="bindist fetch test"
+QA_FLAGS_IGNORED="opt/cxoffice/.*"
+QA_PRESTRIPPED="opt/cxoffice/lib/.*
+ opt/cxoffice/bin/cxburner
+ opt/cxoffice/bin/cxntlm_auth
+ opt/cxoffice/bin/wineserver
+ opt/cxoffice/bin/unrar
+ opt/cxoffice/bin/wine-preloader
+ opt/cxoffice/bin/cxdiag
+ opt/cxoffice/bin/cxgettext
+ opt/cxoffice/bin/wineloader
+ "
+S="${WORKDIR}"
+
+DEPEND="dev-lang/perl
+ app-arch/unzip
+ ${PYTHON_DEPS}"
+
+RDEPEND="${DEPEND}
+ !prefix? ( sys-libs/glibc )
+ >=dev-python/pygtk-2.10[${PYTHON_USEDEP}]
+ dev-python/dbus-python[${PYTHON_USEDEP}]
+ dev-util/desktop-file-utils
+ !app-emulation/crossover-office-pro-bin
+ !app-emulation/crossover-office-bin
+ capi? ( net-dialup/capi4k-utils )
+ cups? ( net-print/cups[abi_x86_32(-)] )
+ gsm? ( media-sound/gsm[abi_x86_32(-)] )
+ jpeg? ( virtual/jpeg[abi_x86_32(-)] )
+ lcms? ( media-libs/lcms:2 )
+ ldap? ( net-nds/openldap[abi_x86_32(-)] )
+ gphoto2? ( media-libs/libgphoto2[abi_x86_32(-)] )
+ mp3? ( >=media-sound/mpg123-1.5.0[abi_x86_32(-)] )
+ nls? ( sys-devel/gettext[abi_x86_32(-)] )
+ openal? ( media-libs/openal[abi_x86_32(-)] )
+ opengl? (
+ virtual/glu[abi_x86_32(-)]
+ virtual/opengl[abi_x86_32(-)]
+ )
+ png? ( media-libs/libpng:0[abi_x86_32(-)] )
+ scanner? ( media-gfx/sane-backends[abi_x86_32(-)] )
+ ssl? ( dev-libs/openssl:0[abi_x86_32(-)] )
+ v4l? ( media-libs/libv4l[abi_x86_32(-)] )
+ media-libs/alsa-lib[abi_x86_32(-)]
+ >=media-libs/freetype-2.0.0[abi_x86_32(-)]
+ media-libs/mesa[abi_x86_32(-)]
+ sys-apps/util-linux[abi_x86_32(-)]
+ sys-libs/zlib[abi_x86_32(-)]
+ x11-libs/libICE[abi_x86_32(-)]
+ x11-libs/libSM[abi_x86_32(-)]
+ x11-libs/libX11[abi_x86_32(-)]
+ x11-libs/libXau[abi_x86_32(-)]
+ x11-libs/libXdmcp[abi_x86_32(-)]
+ x11-libs/libXext[abi_x86_32(-)]
+ x11-libs/libXi[abi_x86_32(-)]
+ x11-libs/libXrandr[abi_x86_32(-)]
+ x11-libs/libXxf86vm[abi_x86_32(-)]
+ x11-libs/libxcb[abi_x86_32(-)]"
+
+pkg_nofetch() {
+ einfo "Please visit ${HOMEPAGE}"
+ einfo "and place ${A} in ${DISTDIR}"
+}
+
+src_unpack() {
+ # self unpacking zip archive; unzip warns about the exe stuff
+ unpack_zip ${A}
+}
+
+src_prepare() {
+ python_fix_shebang .
+
+ sed -i -e "s:\$link=\"\$xdgdir:\$link=\"${ED}\/\$xdgdir:" "${S}/lib/perl/CXMenu.pm"
+ sed -i \
+ -e "s:\"\(.*\)/applications:\"${ED}/\1/applications:" \
+ -e "s:\"\(.*\)/desktop-directories:\"${ED}/\1/desktop-directories:" \
+ "${S}/lib/perl/CXMenuXDG.pm"
+
+ # Remove unnecessary files
+ rm -r license.txt guis/ || die "Could not remove files"
+ use doc || rm -r doc/ || die "Could not remove files"
+}
+
+src_install() {
+ # Install crossover symlink, bug #476314
+ dosym /opt/cxoffice/bin/crossover /opt/bin/crossover
+
+ # Install documentation
+ dodoc README changelog.txt
+ rm README changelog.txt || die "Could not remove README and changelog.txt"
+
+ # Install files
+ dodir /opt/cxoffice
+ cp -r ./* "${ED}opt/cxoffice" \
+ || die "Could not install into ${ED}opt/cxoffice"
+
+ # Install configuration file
+ insinto /opt/cxoffice/etc
+ doins share/crossover/data/cxoffice.conf
+
+ # Install menus
+ # XXX: locate_gui.sh automatically detects *-application-merged directories
+ # This means what we install will vary depending on the contents of
+ # /etc/xdg, which is a QA violation. It is not clear how to resolve this.
+ XDG_DATA_DIRS="/usr/share" XDG_CONFIG_HOME="/etc/xdg" \
+ "${ED}opt/cxoffice/bin/cxmenu" --destdir="${ED}" --crossover --install \
+ || die "Could not install menus"
+
+ rm "${ED}usr/share/applications/"*"Uninstall CrossOver Linux.desktop"
+ sed -i -e "s:${ED}:/:" "${ED}usr/share/applications/"*.desktop
+ sed -i -e "s:${ED}/::" \
+ "${ED}/opt/cxoffice/lib/perl/CXMenu.pm" \
+ "${ED}/opt/cxoffice/lib/perl/CXMenuXDG.pm"
+}
diff --git a/app-emulation/crossover-bin/metadata.xml b/app-emulation/crossover-bin/metadata.xml
new file mode 100644
index 000000000000..76a1d1fff70f
--- /dev/null
+++ b/app-emulation/crossover-bin/metadata.xml
@@ -0,0 +1,11 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
+<pkgmetadata>
+ <maintainer>
+ <email>ryao@gentoo.org</email>
+ <name>Richard Yao</name>
+ </maintainer>
+ <use>
+ <flag name='capi'>Enable ISDN support via CAPI</flag>
+ </use>
+</pkgmetadata>